#include<iostream>
#include<cmath>
#include <math.h>
int main() {
	double p,q,r,L,R;
	int broj=0;
	std::cin>>p>>q>>r>>L>>R;
	for(L; L<=R;L++) {
		if((ceil(L/p)+ceil(L/q)+ceil(L/r))<=L){
			broj=broj+1;
		}
	}	
	std::cout<<broj;
	
return 0;	
}